Page MenuHomePhabricator

Add "mis" language code to the list of language code options on Special:NewLexeme
Closed, ResolvedPublic5 Story Points

Description

Problem:
We allow editors to use mis as a language code for entering languages we don't have in our list. However we only allow this on the Lexeme page, not when creating a new Lexeme via Special:NewLexeme. This should be possible there too.

BDD

GIVEN I am on Special:NewLexeme page
AND   I pick a language item without the language code property set
WHEN  I open the lemma language dropdown
THEN  There is a "Other (mis)" option in the list

Note: this does not include extended language codes such as mis-x-Q321

Related Objects

Mentioned In
T199991: Suggester for language of lemma shows not translated language names
rEWLE0fd45a0fbb04: NewLexeme: allow lexeme creation with 'mis' language
rEWLE150a7402c9fe: NewLexeme: allow lexeme creation with 'mis' language
rEWLEd218dd7f7e1b: NewLexeme: allow lexeme creation with 'mis' language
rEWLEe402cc87bbc4: NewLexeme: allow lexeme creation with 'mis' language
rEWLEcd1977974beb: NewLexeme: allow lexeme creation with 'mis' language
rEWLE32a957fa6e35: NewLexeme: allow lexeme creation with 'mis' language
rEWLE756a845ae762: NewLexeme: allow lexeme creation with 'mis' language
rEWLEe4ba59fffe9d: selenium: test creation of new lexemes
rEWLE49be5ae7cda2: NewLexeme: allow lexeme creation with 'mis' language
rEWLE71be4af191eb: NewLexeme: allow lexeme creation with 'mis' language
rEWLE6f9c1d06e2d6: NewLexeme: allow lexeme creation with 'mis' language
rEWLE48f8ee2a1884: selenium: test creation of new lexemes
rEWLEe1242a926fee: selenium: test creation of new lexemes
rEWLE23f2a37f925c: selenium: test creation of new lexemes
rEWLE6cc62929a357: NewLexeme: allow lexeme creation with 'mis' language
rEWLE439efe31b71b: NewLexeme: allow lexeme creation with 'mis' language
rEWLE9ae956d56218: selenium: test creation of new lexemes
rEWLEebc9060b3647: selenium: test creation of new lexemes
rEWLEfe5695bc82f7: NewLexeme: allow lexeme creation with 'mis' language
rEWLEafffbf1a9dfe: NewLexeme: allow lexeme creation with 'mis' language
rEWLE0114096b8c20: NewLexeme: allow lexeme creation with 'mis' language
rEWLE01ee7763b4bd: NewLexeme: allow lexeme creation with 'mis' language
rEWLEdf61e10127d8: selenium: test creation of new lexemes
rEWLE30a8a82e1acc: selenium: test creation of new lexemes
rEWLE65ad9d5f589f: selenium: test creation of new lexemes
rEWLEe985fa327f43: NewLexeme: allow lexeme creation with 'mis' language
rEWLEdb1d952b82e3: selenium: test creation of new lexemes
rEWLE68c0537c44bb: selenium: test creation of new lexemes
rEWLE17fe29762040: selenium: test creation of new lexemes
rEWLE62b0688a63f3: selenium: test creation of new lexemes
rEWLE862bf593077c: selenium: use util method to create test strings
Mentioned Here
T194347: [Bug] Language of Lemma Box doesn't appear after failed submit of Special:NewLexeme
T124758: [Story] Show all available languages in monolingual text value's suggester

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2018, 3:25 PM
WMDE-leszek triaged this task as High priority.May 15 2018, 3:25 PM
WMDE-leszek set the point value for this task to 5.
WMDE-leszek renamed this task from Add "mis" language code to the list of lemma language code options on Special:NewLexeme to Add "mis" language code to the list of language code options on Special:NewLexeme.May 15 2018, 3:30 PM
Jakob_WMDE updated the task description. (Show Details)Jun 25 2018, 1:06 PM
Pablo-WMDE updated the task description. (Show Details)Jun 27 2018, 10:33 AM
  • Use WikibaseLexemeTermLanguages service in SpecialNewLexeme,
  • inject into HTMLContentLanguageField somehow - consider making our own version of it
  • provide translation for "mis" language code <- @Lydia_Pintscher What should this even read? And in which language? (user language)
Vvjjkkii renamed this task from Add "mis" language code to the list of language code options on Special:NewLexeme to 0wcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 0wcaaaaaaa to Add "mis" language code to the list of language code options on Special:NewLexeme.Jul 2 2018, 6:52 AM
CommunityTechBot set the point value for this task to 5.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
  • provide translation for "mis" language code <- @Lydia_Pintscher What should this even read? And in which language? (user language)

This is the language code and afaik they are not translated. de is de anywhere for example.

So "other" (and the translation of "other" in all languages) is to be used as the name of the language - as shown in BDD.

I shall mention T124758 and this code now that I found it.

Change 443938 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] selenium: use util method to create test strings

https://gerrit.wikimedia.org/r/443938

Change 443938 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] selenium: use util method to create test strings

https://gerrit.wikimedia.org/r/443938

Change 444000 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] selenium: test creation of new lexemes

https://gerrit.wikimedia.org/r/444000

Change 444244 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] NewLexeme: allow lexeme creation with 'mis' language

https://gerrit.wikimedia.org/r/444244

@Lydia_Pintscher There exists code to support the assumption that on Special:NexLexeme the lemma language field is supposed to have a default value (infered from the form object, presumably userlang). Is that a known/required feature? It does not appear to be working (fully), e.g. "en" is selected from the start if you look at the dropdown but one can not submit the form like that.
Now we are working very close by and have to decide to fix (and test) or drop it.

Let's remove it. In most cases people shouldn't be asked to fill in the Lemma language. In the few cases where they are asked they are probably working with some special language and the uselang might not be the right thing.

@Lydia_Pintscher Thanks for the previous answer. Another question. Given we add an option (mis) to the list of languages - is there a specification on how the languages should be ordered (in the dropdown)? Alphabetically? By key or translation? <- devs should have asked this question earlier!

Doh! Good question ;-) Let's add it at the end.

Change 444836 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] selenium: form widget mixin, convenient way to add

https://gerrit.wikimedia.org/r/444836

Change 444836 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] selenium: ComponentInteraction mixin, convenient way to add

https://gerrit.wikimedia.org/r/444836

T194347 will not be resolved by this!

Change 444000 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] selenium: test creation of new lexemes

https://gerrit.wikimedia.org/r/444000

Pablo-WMDE removed Pablo-WMDE as the assignee of this task.Jul 13 2018, 11:53 AM

Change 444244 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] NewLexeme: allow lexeme creation with 'mis' language

https://gerrit.wikimedia.org/r/444244